Bug 807479 - Review Request: spacewalk-setup-jabberd - Tools to setup jabberd for Spacewalk
Review Request: spacewalk-setup-jabberd - Tools to setup jabberd for Spacewalk
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F-Spacewalk
  Show dependency treegraph
 
Reported: 2012-03-27 17:49 EDT by Miroslav Suchý
Modified: 2012-09-17 18:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-08 22:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2012-03-27 17:49:19 EDT
SPEC: http://miroslav.suchy.cz/fedora/spacewalk-setup-jabberd/spacewalk-setup-jabberd.spec
SRPM: http://miroslav.suchy.cz/fedora/spacewalk-setup-jabberd/spacewalk-setup-jabberd-1.6.5-1.fc16.src.rpm

Description:
Script, which setup Jabberd for Spacewalk. Used during installation of
Spacewalk server or Spacewalk proxy.

FAS: msuchy

rpmlint output:
$ rpmlint /tmp/spacewalk-build/spacewalk-setup-jabberd-1.6.5-1.fc16.src.rpm /tmp/spacewalk-build/noarch/spacewalk-setup-jabberd-1.6.5-1.fc16.noarch.rpm
spacewalk-setup-jabberd.noarch: E: explicit-lib-dependency libxslt
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3937685
Comment 1 Volker Fröhlich 2012-05-20 18:20:29 EDT
I guess this also goes to EL5? Anyways, you can delete the defattr line.

%{_bindir}/spacewalk-setup-jabberd -- You can use the name macro on this line.

%dir %{_datadir}/spacewalk
%{_datadir}/spacewalk/*

can be simplified to %{_datadir}/spacewalk. On the other hand: This directory is already owned by spacewalk-branding. You should probably just require it, if that makes sense.

The syntax for the two pki directories can also be simplified, if I don't miss something here.

I think the description is not perfect from a grammatical point of view.
Comment 2 Miroslav Suchý 2012-05-21 04:22:37 EDT
> I guess this also goes to EL5?

Yes.

> %{_bindir}/spacewalk-setup-jabberd -- You can use the name macro on this line.

I do not want to. This will not make packaging easier. IMHO it can just bring complication later in future.

> I think the description is not perfect from a grammatical point of view.

Although english is not my mother-tongue, I do not see error there. But suggestions are welcome.

Updated:
SPEC: http://miroslav.suchy.cz/fedora/spacewalk-setup-jabberd/spacewalk-setup-jabberd.spec
SRPM: http://miroslav.suchy.cz/fedora/spacewalk-setup-jabberd/spacewalk-setup-jabberd-1.8.1-1.fc16.src.rpm
Comment 3 Mario Blättermann 2012-07-09 15:32:36 EDT
Koji scratch build:
koji.fedoraproject.org/koji/taskinfo?taskID=4227836

Rpmlint is silent so far, only this issue:

$ rpmlint -i -v *
spacewalk-setup-jabberd.noarch: I: checking
spacewalk-setup-jabberd.noarch: E: explicit-lib-dependency libxslt
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

I assume rpm fails on finding this dependency automatically, it's a common problem on noarch packages. Otherwise you hadn't added it explicitely. Am I right?


Proposal for the description (I'm not a native English speaker, too):

Jabberd setup script for Spacewalk. It will be used during the installation of
the Spacewalk server or Spacewalk proxy.
Comment 4 Miroslav Suchý 2012-07-17 04:02:29 EDT
> I assume rpm fails on finding this dependency automatically, it's a common
> problem on noarch packages. Otherwise you hadn't added it explicitely. Am I right?

Yes.
Comment 5 Volker Fröhlich 2012-07-22 17:28:19 EDT
I meant "Script, which setup Jabberd for Spacewalk.". As far as I can tell, that should be "Script, which sets up Jabberd for Spacewalk.".
Comment 6 Mario Blättermann 2012-08-26 16:55:27 EDT
Any progress here? I would like to take this for a full review.
Comment 7 Miroslav Suchý 2012-08-27 02:46:30 EDT
We are waiting for somebody? Me? I hope not. I do not think the description is blocker.
Please, proceed with full review.
Comment 8 Mario Blättermann 2012-08-27 03:44:56 EDT
(In reply to comment #7)
> I do not think the description is blocker.

(In reply to comment #2)
> Although english is not my mother-tongue, I do not see error there. But
> suggestions are welcome.

Then you should apply our suggestions. It doesn't make sense to provide a description which is not good in terms of grammar. Some Pidgin English annoys users, even the non-English ones.
Comment 10 Mario Blättermann 2012-08-27 05:01:58 EDT
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4425164

$ rpmlint -i -v *spacewalk-setup-jabberd.src: I: checking
spacewalk-setup-jabberd.src: I: checking-url https://fedorahosted.org/spacewalk (timeout 10 seconds)
spacewalk-setup-jabberd.src: I: checking-url https://fedorahosted.org/releases/s/p/spacewalk/spacewalk-setup-jabberd-1.8.5.tar.gz (timeout 10 seconds)
spacewalk-setup-jabberd.noarch: I: checking
spacewalk-setup-jabberd.noarch: E: explicit-lib-dependency libxslt
You must let rpm find the library dependencies by itself. Do not put unneeded
explicit Requires: tags.

spacewalk-setup-jabberd.noarch: I: checking-url https://fedorahosted.org/spacewalk (timeout 10 seconds)
spacewalk-setup-jabberd.spec: I: checking-url https://fedorahosted.org/releases/s/p/spacewalk/spacewalk-setup-jabberd-1.8.5.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

As already discussed, the libxslt requirement is OK.

%{_sysconfdir}/pki/spacewalk
has to be
%config(noreplace) %{_sysconfdir}/pki/spacewalk

No further issues. Once you've fixed the file list, I will do a full review.
Comment 11 Miroslav Suchý 2012-08-27 05:20:35 EDT
spacewalk-setup-jabberd.src: I: checking-url https://fedorahosted.org/releases/s/p/spacewalk/spacewalk-setup-jabberd-1.8.5.tar.gz (timeout 10 seconds)

I can download it without problem. Can it be either temporar network problem or rpmlint issue?

> %{_sysconfdir}/pki/spacewalk
> has to be
> %config(noreplace) %{_sysconfdir}/pki/spacewalk

There are no config files. It is just two directories.
If you insist, I can rewrite it to:
%dir %{_sysconfdir}/pki/spacewalk
%dir %{_sysconfdir}/pki/spacewalk/jabberd
But the former formulation is one line shorter :)
Comment 12 Mario Blättermann 2012-08-27 05:25:47 EDT
(In reply to comment #11)
> spacewalk-setup-jabberd.src: I: checking-url
> https://fedorahosted.org/releases/s/p/spacewalk/spacewalk-setup-jabberd-1.8.
> 5.tar.gz (timeout 10 seconds)
> 
> I can download it without problem.
Me too. There was no error message at all. The timeout is just a hint.
> 
> > %{_sysconfdir}/pki/spacewalk
> > has to be
> > %config(noreplace) %{_sysconfdir}/pki/spacewalk
> 
> There are no config files. It is just two directories.
> If you insist, I can rewrite it to:
> %dir %{_sysconfdir}/pki/spacewalk
> %dir %{_sysconfdir}/pki/spacewalk/jabberd
> But the former formulation is one line shorter :)

No, the folder ownership is OK. I think the folder itself should be marked as (noreplace) to avoid to be overwritten by rpm when updating the package. For the time being, the folder is empty, but once it contains config files, they could get lost.
Comment 13 Miroslav Suchý 2012-08-27 07:04:50 EDT
%config and %config(noreplace) affects only file(s). This does not change behaviour of installing directories.
And if such directory exist and contains files, the content of directry is *never* removed. Only acl bits and ownership of that directory is set to values in that rpm. And this behaviour does not affect neither %config nor %config(noreplace).
Comment 14 Mario Blättermann 2012-08-27 11:04:21 EDT
(In reply to comment #13)
> %config and %config(noreplace) affects only file(s). This does not change
> behaviour of installing directories.
> And if such directory exist and contains files, the content of directry is
> *never* removed. Only acl bits and ownership of that directory is set to
> values in that rpm. And this behaviour does not affect neither %config nor
> %config(noreplace).

Sorry, I didn't know about that in particular. OK, here we go:

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    f8fa698410ae42082b4a60e7c6bd6d1d1616a106c561f19df01536fb6edd48fe  spacewalk-setup-jabberd-1.8.5.tar.gz
    f8fa698410ae42082b4a60e7c6bd6d1d1616a106c561f19df01536fb6edd48fe  spacewalk-setup-jabberd-1.8.5.tar.gz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[.] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 15 Miroslav Suchý 2012-08-28 03:31:58 EDT
Thanks for the review.
Comment 16 Miroslav Suchý 2012-08-28 03:34:10 EDT
New Package SCM Request
=======================
Package Name: spacewalk-setup-jabberd
Short Description: Tools to setup jabberd for Spacewalk
Owners: msuchy
Branches: F-18, F-17, F-16, EL-6, EL-5
InitialCC:
Comment 17 Gwyn Ciesla 2012-08-28 07:21:55 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2012-08-30 03:56:36 EDT
spacewalk-setup-jabberd-1.8.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/spacewalk-setup-jabberd-1.8.5-1.fc18
Comment 19 Fedora Update System 2012-08-30 04:01:58 EDT
spacewalk-setup-jabberd-1.8.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/spacewalk-setup-jabberd-1.8.5-1.fc17
Comment 20 Fedora Update System 2012-08-30 04:04:10 EDT
spacewalk-setup-jabberd-1.8.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/spacewalk-setup-jabberd-1.8.5-1.fc16
Comment 21 Fedora Update System 2012-08-30 14:19:29 EDT
spacewalk-setup-jabberd-1.8.5-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 22 Fedora Update System 2012-09-08 22:51:26 EDT
spacewalk-setup-jabberd-1.8.5-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 23 Fedora Update System 2012-09-08 22:51:56 EDT
spacewalk-setup-jabberd-1.8.5-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 24 Fedora Update System 2012-09-17 18:36:06 EDT
spacewalk-setup-jabberd-1.8.5-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.